## javax.persistence.criteria
Interface PluralJoin<Z,C,E>

All Superinterfaces:
  Expression<E>, FetchParent<Z,E>, From<Z,E>, Join<Z,E>, Path<E>, Selection<E>, TupleElement<E>

All Known Subinterfaces:
  CollectionJoin<Z,E>, ListJoin<Z,E>, MapJoin<Z,K,V>, SetJoin<Z,E>

    public interface PluralJoin<Z,C,E>

extends Join<Z,E>

Method Summary
`PluralAttribute<? super Z,C,E>` `getModel()`

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### getModel

    PluralAttribute<? super Z,C,E> getModel()

  Specified by:
    `getModel` in interface `Path<E>`